js_execs.d(1m)

NAME
js_execs.d - JavaScript execute snoop using DTrace.

SYNOPSIS
js_execs.d

DESCRIPTION
This traces activity from all browsers on the system that are running with JavaScript provider support. Filename and function names are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace JavaScript provider, which may change as additional features are introduced. Check JavaScript/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # js_execs.d

FIELDS

TIME
    Time of event

FILE
    Filename of the JavaScript program

LINENO
    Line number in filename

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
js_execs.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)